package org.opengroup.osdu.notification.api;

import static org.junit.Assert.assertEquals;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.opengroup.osdu.notification.util.Config;
import org.opengroup.osdu.notification.util.IBMTestUtils;
import org.opengroup.osdu.notification.util.RestDescriptor;

import com.sun.jersey.api.client.ClientResponse;

public class TestPubsubEndpointGSA extends PubsubEndpointGSATests {

    private static final IBMTestUtils gcpTestUtils = new IBMTestUtils();


    @BeforeClass
    public static void classSetup() throws Exception {
        PubsubEndpointGSATests.classSetup(gcpTestUtils.getOpsToken());
    }

    @AfterClass
    public static void classTearDown() throws Exception {
    }

    @Before
    @Override
    public void setup() throws Exception {
        this.testUtils = new IBMTestUtils();
    }

    @After
    @Override
    public void tearDown() throws Exception {
        this.testUtils = null;
    }


	@Override
	public void should_return307_when_makingHttpRequest() throws Exception {
		// No implementation for GSA in IBM
	}

	@Override
	public void should_return20XResponseCode_when_makingValidHttpsRequest() throws Exception {
		// No implementation for GSA in IBM
	}
	
	@Override
	public void should_return20X_when_usingCredentialsWithOpsPermission() throws Exception{ 
	
	}
	
	@Override
	public void should_returnOk_when_makingHttpOptionsRequest() throws Exception{
		
	}
	
	@Override
	public void should_return400_when_makingHttpRequestWithoutToken() throws Exception {
		
		ClientResponse response =  descriptor.run(getArg(), "");
		assertEquals(error(	response.getEntity(String.class)), 401, response.getStatus());
		
	}
    
    
}