package org.opengroup.osdu.notification.api;

import static org.junit.Assert.assertEquals;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.opengroup.osdu.notification.util.Config;
import org.opengroup.osdu.notification.util.IBMTestUtils;
import org.opengroup.osdu.notification.util.RestDescriptor;
import org.opengroup.osdu.notification.util.TestUtils;

import com.sun.jersey.api.client.ClientResponse;

public class TestPubsubEndpointHMAC extends PubsubEndpointHMACTests {

    @BeforeClass
    public static void classSetup() throws Exception {
        PubsubEndpointHMACTests.classSetup();
    }

    @AfterClass
    public static void classTearDown() throws Exception {
    }

    @Before
    @Override
    public void setup() throws Exception {
        this.testUtils = new IBMTestUtils();
    }

    @After
    @Override
    public void tearDown() throws Exception {
        this.testUtils = null;
    }
    
    @Override
    public void should_return400_when_makingHttpRequestWithoutToken()throws Exception{
		ClientResponse response =  descriptor.run(getArg(), "");
		assertEquals(error(	response.getEntity(String.class)), 401, response.getStatus());
	}
}